<?php
/*
Plugin Name: 	Social Box
Plugin URI: 	http://codecanyon.net/item/socialbox-social-wordpress-widget/627127
Description: 	Adds a super easy Social Box which displays the numbers of Twitter Followers, Facebook Fans and Youtube Channel and Feed Subscribers
Version: 		1.1.1
Author: 		JonasDoebertin
Author URI: 	http://codecanyon.net/user/JonasDoebertin
License: 		Sold exclusively on CodeCanyon
*/
?>

<div id="socialbox">
	
	<ul>
		
		<?php if(!empty($facebookId)): ?>
		
		<li>
			
			<p>
				<a href="<?php echo $facebook; ?>" title="<?php _e('Like on Facebook', self::SLUG); ?>"><img src="<?php $this->url('images/facebook_16.png'); ?>" alt="Facebook" /></a><span><?php echo number_format($facebookCount); ?></span> <?php _e('Fans', self::SLUG); ?>
				<?php if($showButtons): ?>
					<a href="<?php echo $facebook; ?>" class="socialbox-button" title="<?php _e('Like on Facebook', self::SLUG); ?>"><?php _e('Like', self::SLUG); ?></a>
				<?php endif; ?>
			</p>
			
		</li>
		
		<?php endif; ?>
		
		<?php if(!empty($twitterId)): ?>
		
		<li>
			
			<p>
				<a href="<?php echo $twitter; ?>" title="<?php _e('Follow on Twitter', self::SLUG); ?>"><img src="<?php $this->url('images/twitter_16.png'); ?>" alt="Twitter" /></a><span><?php echo number_format($twitterCount); ?></span> <?php _e('Followers', self::SLUG); ?>
				<?php if($showButtons): ?>
					<a href="<?php echo $twitter; ?>" class="socialbox-button" title="<?php _e('Follow on Twitter', self::SLUG); ?>"><?php _e('Follow', self::SLUG); ?></a>
				<?php endif; ?>
			</p>
			
		</li>
		
		<?php endif; ?>
		
		<?php if(!empty($youtubeId)): ?>
		
		<li>
			
			<p>
				<a href="<?php echo $youtube; ?>" title="<?php _e('Subscribe to Channel', self::SLUG); ?>"><img src="<?php $this->url('images/youtube_16.png'); ?>" alt="YouTube" /></a><span><?php echo number_format($youtubeCount); ?></span> <?php _e('Subscribers', self::SLUG); ?>
				<?php if($showButtons): ?>
					<a href="<?php echo $youtube; ?>" class="socialbox-button" title="<?php _e('Subscribe to Channel', self::SLUG); ?>"><?php _e('Subscribe', self::SLUG); ?></a>
				<?php endif; ?>
			</p>
			
		</li>
		
		<?php endif; ?>
		
		<?php if(!empty($feedburnerId)): ?>
		
		<li>
			
			<p>
				<a href="<?php echo $feedburner; ?>" title="<?php _e('Subscribe to RSS Feed', self::SLUG); ?>"><img src="<?php $this->url('images/rss_16.png'); ?>" alt="RSS Feed" /></a><span><?php echo number_format($feedburnerCount); ?></span> <?php _e('Subscribers', self::SLUG); ?>
				<?php if($showButtons): ?>
					<a href="<?php echo $feedburner; ?>" class="socialbox-button" title="<?php _e('Subscribe to RSS Feed', self::SLUG); ?>"><?php _e('Subscribe', self::SLUG); ?></a>
				<?php endif; ?>
			</p>
			
		</li>
		
		<?php endif; ?>
		
	</ul>
	
</div>